notbugIf you buy from Amazon USA, please support us by using this link.
non port: Mk/bsd.default-versions.mk
SVNWeb

Number of commits found: 121 (showing only 100 on this page)

1 | 2  »  

Tue, 25 Sep 2018
[ 16:09 sunpoet ] Original commit   Revision:480682
480682 Mk/Uses/ssl.mk
480682 Mk/bsd.default-versions.mk
Update comment: add openssl111

Differential Revision:	https://reviews.freebsd.org/D17303
Approved by:	adamw (portmgr)
Wed, 5 Sep 2018
[ 08:04 tz ] Original commit   Revision:479014
479014 Mk/bsd.default-versions.mk
479014 UPDATING
Switch default PHP version from 5.6 to 7.1

PR:		209563
Reviewed by:	tz, Felix Flor
Exp-run by:	antoine
Sat, 1 Sep 2018
[ 17:05 antoine ] Original commit   Revision:478711
478711 Mk/bsd.default-versions.mk
478711 UPDATING
478711 audio/musicpd/Makefile
478711 audio/xmms2/Makefile
478711 devel/gnome-vfs/Makefile
478711 devel/gvfs/Makefile
478711 devel/kio-extras/Makefile
478711 emulators/qemu-devel/Makefile
478711 emulators/qemu-sbruno/Makefile
478711 emulators/qemu/Makefile

(Only the first 10 of 43 ports in this commit are shown above. View all ports for this commit)
Switch default version of samba to 4.7
Samba 4.6 will be discontinued in a few weeks

Reviewed by:	mat
Differential Revision:	https://reviews.freebsd.org/D16904
Sun, 29 Jul 2018
[ 21:59 gerald ] Original commit   Revision:475856
475856 Mk/bsd.default-versions.mk
Update the default version of GCC (pulled in via USE_GCC=yes and some
others) from GCC 6 to GCC 7.

PR:		222542
Tested by:	antoine (exp-runs)
Approved by:	antoine
Thanks to:	jbeich, tobik, and others for helping fix (broken) ports
Sat, 28 Jul 2018
[ 15:02 gerald ] Original commit   Revision:475585
475585 Mk/bsd.default-versions.mk
Now that GCC 8.2 has been released (and lang/gcc8 updated accordingly)
which brought a minor ABI fix for C++, advertise its potential use here
via GCC_DEFAULT.
Fri, 6 Jul 2018
[ 16:11 miwi ] Original commit   Revision:474017
474017 Mk/Uses/python.mk
474017 Mk/bsd.default-versions.mk
474017 lang/python-doc-html/distinfo
- Finish up lang/python37 import
- Added python37 docs
- Added python37 support to Mk/

Reviewed by:	bapt
Approved by:	bapt (portmgr)
Differential Revision:	https://reviews.freebsd.org/D16159
Wed, 27 Jun 2018
[ 15:48 feld ] Original commit   Revision:473447
473447 Mk/Uses/varnish.mk
473447 Mk/bsd.default-versions.mk
Add Varnish 6 to the framework

Reported by:	vanilla
Thu, 14 Jun 2018
[ 17:50 rene ] Original commit   Revision:472389
472389 Mk/Uses/samba.mk
472389 Mk/bsd.default-versions.mk
Unregister expired net/samba45
Sun, 10 Jun 2018
[ 08:09 brnrd ] Original commit   Revision:472118
472118 Mk/bsd.default-versions.mk
Mk/bsd.default-versions.mk: Add MariaDB 10.3

 - Chase addition of new 10.3 port in r472070

Reported by:	pi
Sun, 3 Jun 2018
[ 08:12 acm ] Original commit   Revision:471475
471475 Mk/bsd.default-versions.mk
- Change LAZARUS_VER to 1.8.4
Sat, 2 Jun 2018
[ 08:11 rene ] Original commit   Revision:471348
471348 Mk/Uses/perl5.mk
471348 Mk/bsd.default-versions.mk
Unregister expired lang/perl5.22
Thu, 24 May 2018
[ 18:44 flo ] Original commit   Revision:470801
470801 Mk/bsd.default-versions.mk
Commit a file forgotten in 470799

Reported by:	antoine
Mon, 21 May 2018
[ 13:50 mat ] Original commit   Revision:470540
470540 Mk/Uses/perl5.mk
470540 Mk/bsd.default-versions.mk
470540 lang/Makefile
470540 lang/perl5.28
470540 lang/perl5.28/Makefile
470540 lang/perl5.28/distinfo
470540 lang/perl5.28/pkg-plist
470540 lang/perl5.28/version.mk
Add Perl 5.28.0-RC1.

Sponsored by:	Absolight
Sat, 5 May 2018
[ 08:57 antoine ] Original commit   Revision:469097
469097 Mk/bsd.default-versions.mk
Note that samba 4.8 is supported and samba 4.4 no longer exists
Fri, 30 Mar 2018
[ 12:15 mat ] Original commit   Revision:465965
465965 Mk/bsd.default-versions.mk
Switch the default Perl to 5.26.

PR:		226817
Exp-run by:	antoine
Sponsored by:	Absolight
Wed, 7 Mar 2018
[ 17:33 acm ] Original commit   Revision:463816
463816 Mk/bsd.default-versions.mk
- Add LAZARUS_DEFAULT
- Other minor change
Tue, 20 Feb 2018
[ 20:27 sunpoet ] Original commit   Revision:462446
462446 Mk/bsd.default-versions.mk
Update comment: add pgsql 10
Sat, 10 Feb 2018
[ 22:19 rene ] Original commit   Revision:461442
461442 Mk/Uses/pgsql.mk
461442 Mk/bsd.default-versions.mk
Remove Postgresql 9.2 from the list of supported versions.

Submitted by:	cmt
Thu, 1 Feb 2018
[ 18:03 jrm ] Original commit   Revision:460621
460621 MOVED
460621 Mk/Uses/emacs.mk
460621 Mk/bsd.default-versions.mk
460621 Mk/bsd.emacs.mk
460621 Mk/bsd.port.mk
460621 UPDATING
460621 audio/emms/Makefile
460621 audio/emms/distinfo
460621 audio/emms/files
460621 audio/emms/files/patch-Makefile

(Only the first 10 of 143 ports in this commit are shown above. View all ports for this commit)
Flavorize and modernize Emacs ports

- Convert USE_EMACS to USES=emacs
- Remove editors/emacs-nox11 (refer to nox flavors of editors/emacs and
  editors/emacs-devel)
- Permit default Emacs flavor to be specified in make.conf
- Rename japanese/migemo-emacs23 to japanese/migemo-emacs
- Update and simplify audio/emms and fix build on FreeBSD 10 [1]
- Update databases/bbdd and fix build on FreeBSD 10 [1]
- Update editors/emacs-devel
- Ensure Makefile shell commands that change directory are executed in a
  subshell
- Silence some portlint warnings

[1] By not depending on base texinfo

PR:		225404
Reviewed by:	antoine
Approved by:	portmgr (mat) ashish (maintainer)
Differential Revision:	https://reviews.freebsd.org/D13506
[ 07:14 acm ] Original commit   Revision:460558
460558 Mk/bsd.default-versions.mk
460558 Mk/bsd.fpc.mk
460558 audio/fpc-mad/files/patch-packages_mad_fpmake.pp
460558 audio/fpc-modplug/files/patch-packages_modplug_fpmake.pp
460558 devel/fpc-fcl-passrc/pkg-plist
460558 graphics/fpc-imagemagick/Makefile
460558 graphics/fpc-opengl/Makefile
460558 lang/fpc-base/Makefile
460558 lang/fpc-docs/Makefile
460558 lang/fpc-docs/distinfo

(Only the first 10 of 16 ports in this commit are shown above. View all ports for this commit)
- Update to 3.0.4
- Connect www/fpc-libmicrohttpd
Wed, 31 Jan 2018
[ 16:44 sunpoet ] Original commit   Revision:460514
460514 Mk/bsd.default-versions.mk
Update comment: remove ruby 2.2
Tue, 30 Jan 2018
[ 22:11 antoine ] Original commit   Revision:460445
460445 Mk/bsd.default-versions.mk
460445 Mk/bsd.fpc.mk
460445 archivers/peazip/Makefile
460445 archivers/peazip/distinfo
460445 audio/fpc-mad/files/patch-packages_mad_fpmake.pp
460445 audio/fpc-modplug/files/patch-packages_modplug_fpmake.pp
460445 devel/fpc-fcl-passrc/pkg-plist
460445 editors/Makefile
460445 editors/lazarus-lcl-qt5
460445 editors/lazarus-lcl-units/Makefile

(Only the first 10 of 26 ports in this commit are shown above. View all ports for this commit)
Revert recent fpc changes, they were obviously untested

With hat:	portmgr
[ 18:05 acm ] Original commit   Revision:460424
460424 Mk/bsd.default-versions.mk
460424 Mk/bsd.fpc.mk
460424 audio/fpc-mad/files/patch-packages_mad_fpmake.pp
460424 audio/fpc-modplug/files/patch-packages_modplug_fpmake.pp
460424 devel/fpc-fcl-passrc/pkg-plist
460424 graphics/fpc-imagemagick/Makefile
460424 graphics/fpc-opengl/Makefile
460424 lang/fpc-base/Makefile
460424 lang/fpc-docs/Makefile
460424 lang/fpc-docs/distinfo

(Only the first 10 of 16 ports in this commit are shown above. View all ports for this commit)
- Update to 3.0.4
- Link www/fpc-libmicrohttpd
Tue, 9 Jan 2018
[ 07:40 mat ] Original commit   Revision:458513
458513 Mk/Uses/bdb.mk
458513 Mk/Uses/cran.mk
458513 Mk/Uses/gem.mk
458513 Mk/bsd.default-versions.mk
458513 Mk/bsd.options.mk
458513 Mk/bsd.port.mk
458513 Mk/bsd.sanity.mk
458513 audio/chromaprint/Makefile
458513 audio/nas/Makefile.man
458513 audio/xmixer/Makefile

(Only the first 10 of 46 ports in this commit are shown above. View all ports for this commit)
Remove support for variables that have been deprecated for a while.

variables                  deprecation       revision
WITHOUT_NLS                2013-12-13        r336337
WITH_/WITHOUT_             2014-02-24        r345870
NOPORT(DOC|EXAMPLE)S       2014-04-19        r351587
WITH_BDB_VER               2016-05-02        r414444
OVERRIDE_LINUX_BASE_PORT   2016-09-05        r421387
WITH_OPENSSL_(BASE|PORT)   2016-06-16        r416965

While there, add an ERROR variable that works like DEV_ERROR, but for
user facing errors, and move NOPORTDOCS,
NOPORTEXAMPLES and WITHOUT_NLS to it.

Cleanup bsd.sanity.mk a bit.

Fix fallout.

PR:		224613
Submitted by:	mat
Exp-run by:	antoine
Sponsored by:	Absolight
Differential Revision:	https://reviews.freebsd.org/D13490
Wed, 27 Dec 2017
[ 19:51 sunpoet ] Original commit   Revision:457388
457388 Mk/bsd.default-versions.mk
Update comment: add ruby 2.5
Sun, 24 Dec 2017
[ 19:23 swills ] Original commit   Revision:457193
457193 Mk/bsd.default-versions.mk
Change default version of ruby from 2.3 to 2.4

PR:		223949
Exp-Run:	antoine
Sat, 23 Dec 2017
[ 07:03 antoine ] Original commit   Revision:457024
457024 Mk/bsd.default-versions.mk
457024 UPDATING
457024 audio/musicpd/Makefile
457024 audio/xmms2/Makefile
457024 devel/gnome-vfs/Makefile
457024 devel/gvfs/Makefile
457024 emulators/qemu-devel/Makefile
457024 emulators/qemu-sbruno/Makefile
457024 emulators/qemu/Makefile
457024 mail/libmapi/Makefile

(Only the first 10 of 41 ports in this commit are shown above. View all ports for this commit)
Change default version of samba from 4.4 to 4.6

Reviewed by:	mat
With hat:	portmgr
Differential Revision:	https://reviews.freebsd.org/D13529
Mon, 18 Dec 2017
[ 07:00 antoine ] Original commit   Revision:456595
456595 Mk/Uses/samba.mk
456595 Mk/bsd.default-versions.mk
Allow to use samba47 with USES=samba

PR:		224418
Submitted by:	timur@
With hat:	portmgr
Sun, 3 Dec 2017
[ 16:19 gerald ] Original commit   Revision:455410
455410 Mk/bsd.default-versions.mk
Remove 4.8 as a documented option for GCC_DEFAULT.  Technically nothing
has changed, so it still should work as well (or not) as before, but it's
essentially untested and if anyone needs an older version from the GCC 4.x
era, 4.9 is still available.
Thu, 23 Nov 2017
[ 12:11 gahr ] Original commit   Revision:454756
454756 Mk/Uses/tcl.mk
454756 Mk/bsd.default-versions.mk
Remove references to Tcl/Tk 8.4
Sat, 18 Nov 2017
[ 13:09 tijl ] Original commit   Revision:454428
454428 Mk/Uses/fortran.mk
454428 Mk/bsd.default-versions.mk
454428 math/R/Makefile
454428 math/libRmath/Makefile
- Allow users to change the default Fortran compiler via DEFAULT_VERSIONS.
- Rename USES=fortran:gcc to the more appropriate USES=fortran:gfortran.
- Change the options in math/R and math/libRmath so the choice becomes
  flang or default instead of flang or gfortran.  Use default Fortran
  compiler again on amd64.
Thu, 16 Nov 2017
[ 10:48 tz ] Original commit   Revision:454302
454302 Mk/Uses/php.mk
454302 Mk/bsd.default-versions.mk
454302 archivers/Makefile
454302 archivers/php72-bz2
454302 archivers/php72-bz2/Makefile
454302 archivers/php72-phar
454302 archivers/php72-phar/Makefile
454302 archivers/php72-zip
454302 archivers/php72-zip/Makefile
454302 archivers/php72-zlib

(Only the first 10 of 184 ports in this commit are shown above. View all ports for this commit)
Add PHP 7.2 RC6

Notable changes:
- mcrypt module was removed
- sodium module was added
- sybase_ct artifacts removed

Also many PECL ports will not work with this version
since some files got renamed.

Reviewed by:           mat, ale, Rainer Duffner <rainer@ultra-secure.de>
Differential Revision: https://reviews.freebsd.org/D12980
Fri, 20 Oct 2017
[ 11:12 gahr ] Original commit   Revision:452512
452512 MOVED
452512 Mk/Uses/tcl.mk
452512 Mk/bsd.default-versions.mk
452512 lang/Makefile
452512 lang/fpc-tcl
452512 lang/smalltalk/Makefile
452512 lang/smalltalk/pkg-plist
452512 lang/tcl84
452512 x11-toolkits/Makefile
452512 x11-toolkits/ocaml-labltk/Makefile

(Only the first 10 of 11 ports in this commit are shown above. View all ports for this commit)
Revert 452511, I missed some ports

I missed some ports that depend on lang/tcl84 or x11-toolkits/tk84 by
explicitly mentioning the port origin instead of using USES.
[ 10:38 gahr ] Original commit   Revision:452511
452511 MOVED
452511 Mk/Uses/tcl.mk
452511 Mk/bsd.default-versions.mk
452511 lang/Makefile
452511 lang/fpc-tcl
452511 lang/smalltalk/Makefile
452511 lang/smalltalk/pkg-plist
452511 lang/tcl84
452511 x11-toolkits/Makefile
452511 x11-toolkits/ocaml-labltk/Makefile

(Only the first 10 of 11 ports in this commit are shown above. View all ports for this commit)
lang/tcl84, x11-toolkits/tk84: remove expired ports

Fix supported versions in USES=t[cl|k], remove last consumer (lang/fpc-tcl) and
bump PORTREVISION on two other ports that have had their dependencies or
default options changed (lang/smalltalk and x11-toolkits/ocaml-labltk)
Mon, 11 Sep 2017
[ 06:30 gahr ] Original commit   Revision:449606
449606 Mk/Uses/tcl.mk
449606 Mk/bsd.default-versions.mk
449606 lang/tcl87/Makefile
449606 lang/tcl87/distinfo
449606 x11-toolkits/Makefile
449606 x11-toolkits/tk87
449606 x11-toolkits/tk87/Makefile
449606 x11-toolkits/tk87/Makefile.man
449606 x11-toolkits/tk87/distinfo
449606 x11-toolkits/tk87/files/patch-Makefile.in

(Only the first 10 of 15 ports in this commit are shown above. View all ports for this commit)
lang/tcl87, x11-toolkits/tk87: import Tcl/Tk 8.7a1

This is the first alpha release for Tcl/Tk 8.7. See the full release notes
here: https://sourceforge.net/p/tcl/mailman/message/36030211
Sun, 10 Sep 2017
[ 20:53 gerald ] Original commit   Revision:449590
449590 Mk/bsd.default-versions.mk
Update the default version of GCC (USES_GCC=yes and some others) from
GCC 5.4 to GCC 6.4.

PR:		219275
Thanks to:	jbeich, rakuco, and others for fixing (too) many broken ports
Sun, 3 Sep 2017
[ 10:36 rene ] Original commit   Revision:449198
449198 Mk/Uses/python.mk
449198 Mk/bsd.default-versions.mk
Remove Python 3.3 from the Ports Framework.
Tue, 15 Aug 2017
[ 12:44 gerald ] Original commit   Revision:447982
447982 Mk/bsd.default-versions.mk
447982 Mk/bsd.gcc.mk
Connect the new lang/gcc7 port into the infrastructure of Mk/bsd.gcc.mk
(providing USE_GCC) and Mk/bsd.default-versions.mk.

PR:		220794
Sat, 5 Aug 2017
[ 23:11 sunpoet ] Original commit   Revision:447430
447430 Mk/bsd.default-versions.mk
Update comment: remove mysql 5.1 and add mariadb 10.2
Thu, 22 Jun 2017
[ 14:16 tz ] Original commit   Revision:444116
444116 Mk/bsd.default-versions.mk
444116 UPDATING
Change PostgreSQL default version from 9.3 to 9.5

PR:          201796, 217515
Reviewed by: mat, girgen, xmj, Jov <amutu@amutu.com> and more
Wed, 7 Jun 2017
[ 17:32 rene ] Original commit   Revision:442856
442856 MOVED
442856 Mk/Uses/samba.mk
442856 Mk/bsd.default-versions.mk
442856 net/Makefile
442856 net/samba42
442856 net/samba43
Remove support for Samba 4.2 and 4.3, they are unsupported upstream.
Mon, 5 Jun 2017
[ 02:15 gerald ] Original commit   Revision:442601
442601 Mk/bsd.default-versions.mk
442601 Mk/bsd.gcc.mk
Remove support for USE_GCC=4.7 and USE_GCC=4.7+.  Nothing in the tree
uses it and GCC 4.7 has been end-of-lifed upstream years ago.

The lang/gcc47 port itself is still in place and can be used.
Thu, 1 Jun 2017
[ 02:26 rene ] Original commit   Revision:442270
442270 MOVED
442270 Mk/Uses/perl5.mk
442270 Mk/bsd.default-versions.mk
442270 lang/Makefile
442270 lang/perl5.20
Remove lang/perl5.20 and unregister it, it expired in May 2017.

Submitted by:	rene
Reviewed by:	perl (sunpoet), portmgr (mat)
Differential Revision:	https://reviews.freebsd.org/D10983
Wed, 31 May 2017
[ 09:02 mat ] Original commit   Revision:442144
442144 Mk/Uses/perl5.mk
442144 Mk/bsd.default-versions.mk
442144 accessibility/accerciser/distinfo
442144 lang/Makefile
442144 lang/perl5.26
442144 lang/perl5.26/Makefile
442144 lang/perl5.26/distinfo
442144 lang/perl5.26/pkg-plist
442144 lang/perl5.26/version.mk
Introduce Perl 5.26.

A few important changes:

 - '.' is no longer in @INC.
 - "do" now gives a deprecation warning when it fails to load a file
   which it would have loaded had "." been in @INC.
 - In regular expression patterns, a literal left brace "{" should be
   escaped.

Changes:	https://metacpan.org/pod/release/XSAWYERX/perl-5.26.0/pod/perldelta.pod
Sponsored by:	Absolight
Wed, 10 May 2017
[ 16:01 sunpoet ] Original commit   Revision:440570
440570 Mk/bsd.default-versions.mk
Partially revert r429538: remove tcltk 8.7

Notified by:	gahr
Fri, 5 May 2017
[ 12:30 sunpoet ] Original commit   Revision:440151
440151 Mk/bsd.default-versions.mk
Update comment: remove ruby 2.1
Tue, 2 May 2017
[ 05:40 gerald ] Original commit   Revision:439929
439929 Mk/Uses/fortran.mk
439929 Mk/bsd.default-versions.mk
439929 Mk/bsd.gcc.mk
As of today, USE_GCC=yes (and USE_GCC=any in most circumstances)
and consequently many of the USES=compiler flavors use the canonical
version of GCC as defined in Mk/bsd.default-versions.mk as well as
the lang/gcc port

With the "new" setup starting with GCC 5 where I have introduced
lang/gcc5-devel for regular snapshots and lang/gcc5 for releases,
and similarly for GCC 6 and onward, we can now leverage lang/gcc5
(and later) for most of the role that lang/gcc used to play -- and
indeed as of today lang/gcc and lang/gcc5 are nearly identical
short of symlinks for gcc, g++, and gfortran binaries that the
former provides.

So now use lang/gcc5 instead of lang/gcc whenever requested via the
USE_GCC framework directly or indirectly.

This is similar to how the python ports work, for example, and it
allows simplifications in Mk/bsd.gcc.mk and Mk/Uses/fortran.mk and
dropping LANG_GCC_IS from Mk/bsd.default-versions.mk.  As a next
step lang/gcc is going to become a "hull" essentially only providing
those symlinks and requiring lang/gcc5 (or whatever has been set as
default in Mk/bsd.default-versions.mk).
Fri, 28 Apr 2017
[ 02:18 miwi ] Original commit   Revision:439592
439592 Mk/bsd.default-versions.mk
- Switch python3's default to 3.6

PR:		218864
Exp-Run:    antoine
Approved by portmgr (antoine)
Differential Revision:	https://reviews.freebsd.org/D10488
Sat, 1 Apr 2017
[ 15:03 gerald ] Original commit   Revision:437437
437437 Mk/bsd.default-versions.mk
437437 lang/gcc/Makefile
437437 lang/gcc/distinfo
437437 lang/gcc/files/patch-arm-support
437437 lang/gcc/files/patch-arm-unwind-cxx-support
437437 lang/gcc/files/patch-gcc_system.h
437437 lang/gcc/files/patch-libc++
437437 lang/gcc/pkg-descr
437437 lang/gcc/pkg-plist
437437 lang/gcc49/Makefile

(Only the first 10 of 12 ports in this commit are shown above. View all ports for this commit)
Update lang/gcc and hence the default version of GCC in the Ports
Collection (requested by USE_GCC=yes and various USES=compiler
invocations) from GCC 4.9.4 to GCC 5.4.

files/patch-arm-support and files/patch-gcc_system.h have become
obsolete.  New patches files/patch-arm-unwind-cxx-support and
files/patch-libc++ help support arm targets and new libc++ in base.

ONLY_FOR_ARCHS now also includes arm.

A new option GRAPHITE_DESC, off by default for now, adds support for
Graphite loop optimizations.

Finally, conflicts with other lang/gcc* ports are adjusted suitably.
(Only the first 15 lines of the commit message are shown above View all of this commit message)
Mon, 27 Mar 2017
[ 19:12 sunpoet ] Original commit   Revision:437073
437073 Mk/bsd.default-versions.mk
Update comment: add samba 4.6
Sat, 25 Mar 2017
[ 23:37 antoine ] Original commit   Revision:436925
436925 Mk/bsd.default-versions.mk
436925 UPDATING
436925 audio/musicpd/Makefile
436925 audio/xmms2/Makefile
436925 devel/gnome-vfs/Makefile
436925 devel/gvfs/Makefile
436925 emulators/qemu-devel/Makefile
436925 emulators/qemu-sbruno/Makefile
436925 emulators/qemu/Makefile
436925 misc/amanda-server/Makefile

(Only the first 10 of 38 ports in this commit are shown above. View all ports for this commit)
Switch default version of samba from 4.3 to 4.4

With hat:	portmgr
Differential Revision:	https://reviews.freebsd.org/D10131
Tue, 21 Mar 2017
[ 21:59 antoine ] Original commit   Revision:436659
436659 MOVED
436659 Mk/Uses/samba.mk
436659 Mk/bsd.default-versions.mk
436659 UPDATING
436659 audio/musicpd/Makefile
436659 audio/xmms2/Makefile
436659 devel/gnome-vfs/Makefile
436659 devel/gvfs/Makefile
436659 emulators/qemu-devel/Makefile
436659 emulators/qemu-devel/pkg-message

(Only the first 10 of 63 ports in this commit are shown above. View all ports for this commit)
- Add USES=samba to handle dependency on samba
  Valid ARGS:  build, env, lib, run (default: build,run)
- Add SAMBA_DEFAULT to bsd.default-versions.mk (default: 4.3)
- Remove obsolete samba36 ports
- Modify samba4x ports to install libsmbclient
- Convert the ports tree to USES=samba

Reviewed by:	mat
Differential Revision:	https://reviews.freebsd.org/D8919
Sun, 26 Feb 2017
[ 17:38 acm ] Original commit   Revision:434894
434894 Mk/bsd.default-versions.mk
434894 Mk/bsd.fpc.mk
434894 archivers/fpc-unzip/Makefile
434894 audio/fpc-mad/files/patch-packages_mad_fpmake.pp
434894 audio/fpc-modplug/files/patch-packages_modplug_fpmake.pp
434894 devel/Makefile
434894 devel/fpc-bfd/Makefile
434894 devel/fpc-fcl-base/pkg-plist
434894 devel/fpc-fcl-db/pkg-plist
434894 devel/fpc-fcl-web/pkg-plist

(Only the first 10 of 27 ports in this commit are shown above. View all ports for this commit)
- Freepascal update to 3.0.2
- Lazarus BUMP PORTREVISION
- Connect www/fpc-googleapi and devel/fpc-fcl-pdf
Wed, 22 Feb 2017
[ 17:31 lifanov ] Original commit   Revision:434624
434624 Mk/Uses/mysql.mk
434624 Mk/bsd.default-versions.mk
434624 databases/Makefile
434624 databases/mysqlwsrep56-server
434624 databases/mysqlwsrep56-server/Makefile
434624 databases/mysqlwsrep56-server/distinfo
434624 databases/mysqlwsrep56-server/files/mysql-server.in
434624 databases/mysqlwsrep56-server/files/patch-CMakeLists.txt
434624 databases/mysqlwsrep56-server/files/patch-client_CMakeLists.txt
434624 databases/mysqlwsrep56-server/files/patch-cmake_plugin.cmake

(Only the first 10 of 37 ports in this commit are shown above. View all ports for this commit)
add databases/mysqlwsrep56-server

- MySQL version enabled for Galera Replication

PR:		214807
Submitted by:	Philip Stoev <philip.stoev@galeracluster.com>
Reviewed by:	matthew, mat, mmokhi
Approved by:	portmgr (mat)
Differential Revision:	https://reviews.freebsd.org/D9427
Sun, 5 Feb 2017
[ 21:20 tijl ] Original commit   Revision:433456
433456 Mk/bsd.default-versions.mk
433456 Mk/bsd.port.mk
433456 Tools/scripts/chkversion.pl
433456 benchmarks/wrk/Makefile
433456 databases/mariadb100-client/files/patch-cmake_ssl.cmake
433456 databases/mariadb100-server/Makefile
433456 databases/mariadb100-server/files/patch-cmake_ssl.cmake
433456 deskutils/owncloudclient/Makefile
433456 devel/efl/Makefile
433456 devel/efl/files/extra-patch-configure.ac

(Only the first 10 of 32 ports in this commit are shown above. View all ports for this commit)
- Remove inclusion of bsd.default-versions.mk from ftp/curl/Makefile so
  bsd.default-versions.mk can rely on ARCH being defined.
- In bsd.port.mk move inclusion of bsd.default-versions.mk from the
  pre-makefile section to the options section so the variables can be used
  earlier.  Also put the bit of code sitting between the options section and
  the pre-makefile section into the options section.
- Remove last few cases where ports set WITH_OPENSSL_PORT.  This variable is
  handled in bsd.default-versions.mk and some ports were setting it after
  including bsd.port.options.mk.  After FreeBSD 9 EoL all but a few ports,
  and then only when setting non-default options, work without setting that
  variable.

PR:		215996
Exp-run by:	antoine
Approved by:	portmgr (antoine)
Sat, 28 Jan 2017
[ 22:59 gerald ] Original commit   Revision:432693
432693 Mk/bsd.default-versions.mk
432693 Mk/bsd.gcc.mk
Remove 4.6 as a valid option for USE_GCC and GCC_DEFAULT; it has not
been used in the Ports Collection for quarters and hardly would make
sense (or even work) as default GCC version.
Wed, 25 Jan 2017
[ 18:06 sunpoet ] Original commit   Revision:432450
432450 Mk/bsd.default-versions.mk
Update comment: add gcc 6, perl 5.24 and php 7.1
Thu, 19 Jan 2017
[ 15:44 tijl ] Original commit   Revision:431882
431882 Mk/Uses/linux.mk
431882 Mk/bsd.default-versions.mk
431882 accessibility/linux-c7-atk/Makefile
431882 accessibility/linux-c7-atk/distinfo.i386
431882 accessibility/linux-c7-atk/distinfo.x86_64
431882 accessibility/linux-c7-atk/pkg-plist.i386
431882 audio/linux-c7-alsa-lib/Makefile
431882 audio/linux-c7-alsa-lib/distinfo.i386
431882 audio/linux-c7-alsa-lib/distinfo.x86_64
431882 audio/linux-c7-alsa-lib/pkg-plist.i386

(Only the first 10 of 294 ports in this commit are shown above. View all ports for this commit)
Update Linux CentOS 7 ports to 7.3.1611.  While 7.2 had semi-official i386
packages there are no such packages for 7.3 yet so i386 support has been
marked IGNORE for now.

Change DIST_SUBDIR to just "centos" so distfiles that remain the same
between major versions don't have to be redownloaded.

Remove fmake hacks from linux.mk.

Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
Thu, 12 Jan 2017
[ 12:18 tijl ] Original commit   Revision:431258
431258 Mk/bsd.default-versions.mk
Allow ARCH to be undefined to accommodate ftp/curl/Makefile.

Reported by:	Peter Blok <pblok@bsd4all.org>
[ 10:44 tijl ] Original commit   Revision:431245
431245 Mk/bsd.default-versions.mk
431245 accessibility/linux-c6-atk/Makefile
431245 audio/linux-c6-alsa-lib/Makefile
431245 audio/linux-c6-alsa-plugins-oss/Makefile
431245 audio/linux-c6-alsa-plugins-pulseaudio/Makefile
431245 audio/linux-c6-alsa-utils/Makefile
431245 audio/linux-c6-arts/Makefile
431245 audio/linux-c6-esound/Makefile
431245 audio/linux-c6-flac/Makefile
431245 audio/linux-c6-libaudiofile/Makefile

(Only the first 10 of 76 ports in this commit are shown above. View all ports for this commit)
Make 64 bit Linux packages the default on amd64.
Tue, 10 Jan 2017
[ 18:54 feld ] Original commit   Revision:431126
431126 Mk/Uses/mysql.mk
431126 Mk/bsd.default-versions.mk
431126 databases/Makefile
431126 databases/percona57-client
431126 databases/percona57-client/Makefile
431126 databases/percona57-client/files/patch-CMakeLists.txt
431126 databases/percona57-client/files/patch-client_CMakeLists.txt
431126 databases/percona57-client/files/patch-client__mysql.cc
431126 databases/percona57-client/files/patch-extra_CMakeLists.txt
431126 databases/percona57-client/files/patch-include_CMakeLists.txt

(Only the first 10 of 62 ports in this commit are shown above. View all ports for this commit)
Welcome Percona 5.7 ports to the tree

- client and server version 5.7.16-10
- pam-for-mysql: compatible with newer MySQL API (MySQL 5.7+)

Thanks to all who have worked on Percona, MariaDB, and MySQL ports. Your
tireless efforts have been instrumental in making this port happen.

Differential Revision:	https://reviews.freebsd.org/D8785
Mon, 9 Jan 2017
[ 19:23 swills ] Original commit   Revision:431022
431022 Mk/bsd.default-versions.mk
431022 UPDATING
Switch default Ruby version from 2.2 to 2.3

PR:		215013
Sat, 7 Jan 2017
[ 20:34 lifanov ] Original commit   Revision:430827
430827 Mk/Uses/mysql.mk
430827 Mk/bsd.default-versions.mk
430827 databases/Makefile
430827 databases/mysql80-client
430827 databases/mysql80-client/Makefile
430827 databases/mysql80-client/files/patch-client_CMakeLists.txt
430827 databases/mysql80-client/files/patch-cmake_build__configurations_compiler__options.cmake
430827 databases/mysql80-client/pkg-message
430827 databases/mysql80-client/pkg-plist
430827 databases/mysql80-server

(Only the first 10 of 26 ports in this commit are shown above. View all ports for this commit)
add databases/mysql80-server and databases/mysql80-client

This is a development snapshot of upcoming MySQL 8.0.

PR:		215738
Submitted by:	Mahdi Mokhtari <mokhi64@gmail.com>
Reviewed by:	matthew, feld
Approved by:	matthew (mentor), feld
Differential Revision:	https://reviews.freebsd.org/D9031
Sat, 31 Dec 2016
[ 16:50 rene ] Original commit   Revision:430142
430142 Mk/Uses/perl5.mk
430142 Mk/bsd.default-versions.mk
Drop support for Perl 5.18 (infrastructure part)
[ 16:47 rene ] Original commit   Revision:430141
430141 Mk/Uses/linux.mk
430141 Mk/bsd.default-versions.mk
Drop support for Linux Fedora 10 (infrastructure part)

Submitted by:	rene
Reviewed by:	bapt
Differential Revision:	https://reviews.freebsd.org/D8653
Mon, 26 Dec 2016
[ 19:00 swills ] Original commit   Revision:429566
429566 Mk/bsd.default-versions.mk
429566 Mk/bsd.ruby.mk
429566 lang/Makefile
429566 lang/ruby24
429566 lang/ruby24/Makefile
429566 lang/ruby24/distinfo
429566 lang/ruby24/files/patch-Makefile.in
429566 lang/ruby24/files/patch-ccan_list_list.h
429566 lang/ruby24/files/patch-configure.in
429566 lang/ruby24/files/patch-eval.c

(Only the first 10 of 18 ports in this commit are shown above. View all ports for this commit)
Add Ruby 2.4.0

While here, remove local patches that are no longer needed and simplify
post-patch target.
[ 16:43 sunpoet ] Original commit   Revision:429538
429538 Mk/bsd.default-versions.mk
- Add python 3.6
- Remove ruby 2.0
- Add tcl/tk 8.7
Sun, 20 Nov 2016
[ 09:15 gerald ] Original commit   Revision:426565
426565 Mk/bsd.default-versions.mk
426565 lang/gcc/Makefile
426565 lang/gcc/distinfo
426565 lang/gcc/files/java-patch-hier
426565 lang/gcc/files/patch-arm-libcpp
426565 lang/gcc/files/patch-stackprotector-gcc
426565 lang/gcc/files/patch-stackprotector-gcc_c-family
426565 lang/gcc/files/patch-stackprotector-gcc_doc
426565 lang/gcc/files/patch-stackprotector-gcc_testsuite
426565 lang/gcc/files/patch-x86-64-fix-m16

(Only the first 10 of 12 ports in this commit are shown above. View all ports for this commit)
Long awaited, finally update the default version of GCC in the Ports
Collection as well as the lang/gcc port from GCC 4.8.5 to GCC 4.9.4!

See http://gcc.gnu.org/gcc-4.9/changes.html for an extensive list of
changes and http://gcc.gnu.org/gcc-4.9/porting_to.html for information
on how to port to that new version (if necessary).

files/java-patch-hier required adjustments, gcc/files/patch-arm-libcpp
is not needed any longer (merged upstream), and we're also loosing the
local Stack Protector patches/backports.

PR:		196712
Tested by:	antoine (-exp runs)
Supported by:	antoine, kwm, and others
Sat, 5 Nov 2016
[ 23:32 sunpoet ] Original commit   Revision:425456
425456 Mk/bsd.default-versions.mk
- Fix typo
Thu, 3 Nov 2016
[ 14:34 mat ] Original commit   Revision:425221
425221 Mk/bsd.default-versions.mk
425221 UPDATING
Change the default Perl version to 5.24.

We have been stuck with Perl 5.20 for too long.  Now that the main
problem, mod_perl2, has been updated to work with Perl 5.22+, we can go
and live with a modern Perl.

PR:		213810
Submitted by:	mat
Exp-run by:	antoine
Sponsored by:	Absolight
Wed, 26 Oct 2016
[ 14:15 feld ] Original commit   Revision:424707
424707 Mk/Uses/varnish.mk
424707 Mk/bsd.default-versions.mk
424707 www/varnish-libvmod-digest/Makefile
424707 www/varnish-libvmod-maxminddb/Makefile
424707 www/varnish-modules/Makefile
424707 www/varnish-modules/files/patch-configure.ac
424707 www/varnish-modules/files/patch-m4_ax__pthread.m4
424707 www/varnish-modules/files/patch-src_Makefile.am
424707 www/varnish-modules/files/patch-src_vmod__softpurge.c
424707 www/varnish-modules/files/patch-src_vmod__xkey.c

(Only the first 10 of 12 ports in this commit are shown above. View all ports for this commit)
Introduce USES=varnish

You can now set the default version of Varnish with DEFAULT_VERSIONS to
build Varnish and its modules against your desired Varnish release
train.

The default version of Varnish throughout the ports tree will remain as
www/varnish4 until at least 2017Q1 when it will be changed in HEAD to be
www/varnish5. This should allow plenty of time for migration and for
stabilization of the changes in Varnish 5.x.

Submitted by:	vanilla
Mon, 24 Oct 2016
[ 14:53 mat ] Original commit   Revision:424571
424571 Mk/bsd.default-versions.mk
Add a warning for people who set foo_DEFAULT in their make.conf or environment.

Sponsored by:	Absolight
Differential Revision:	https://reviews.freebsd.org/D8060
Fri, 21 Oct 2016
[ 07:16 rene ] Original commit   Revision:424380
424380 Mk/Uses/php.mk
424380 Mk/bsd.default-versions.mk
Unregister PHP 5.5, it expired on 2016-10-20

Submitted by:	rene
Reviewed by:	portmgr (mat)
Differential Revision:	https://reviews.freebsd.org/D8305
Fri, 14 Oct 2016
[ 19:50 antoine ] Original commit   Revision:423986
423986 Mk/Uses/python.mk
423986 Mk/bsd.default-versions.mk
423986 UPDATING
Change the default version of python3 from 3.4 to 3.5
Thanks to Ruslan Makhmatkhanov for doing all the fixes

PR:		204519
With hat:	portmgr
Mon, 3 Oct 2016
[ 18:15 rene ] Original commit   Revision:423217
423217 Mk/Uses/pgsql.mk
423217 Mk/bsd.default-versions.mk
Unregister databases/postgresql91 and mention postgresql96 as a valid version.

Submitted by:	myself
Reviewed by:	mat
Differential Revision:	https://reviews.freebsd.org/D8123
Mon, 5 Sep 2016
[ 19:23 tijl ] Original commit   Revision:421387
421387 Mk/Scripts/functions.sh
421387 Mk/Uses/linux.mk
421387 Mk/bsd.default-versions.mk
421387 Mk/bsd.linux-apps.mk
421387 Mk/bsd.linux-rpm.mk
421387 Mk/bsd.port.mk
421387 Mk/bsd.sites.mk
421387 accessibility/linux-c6-atk/Makefile
421387 accessibility/linux-f10-atk/Makefile
421387 archivers/kzip/Makefile

(Only the first 10 of 303 ports in this commit are shown above. View all ports for this commit)
- Replace Mk/bsd.linux-apps.mk and Mk/bsd.linux-rpm.mk with
  Mk/Uses/linux.mk.
- Replace USE_LINUX=yes with USES+=linux and USE_LINUX=(.*) with
  USES+=linux:\1 in all ports.
- Replace USE_LINUX_APPS with USE_LINUX in all ports.
- Use INSTALL_SCRIPT instead of INSTALL_PROGRAM to install scripts in some
  ports.
- When USE_LINUX_RPM is defined, simplify the way DISTFILES and EXTRACT_ONLY
  are defined.
- Remove BRANDELF_DIRS and BRANDELF_FILES handling.  In the very rare cases
  that it is still necessary ports can run ${BRANDELF} from post-patch.
- Remove AUTOMATIC_PLIST handling.  Only one port used it.
- Fix Linux MASTER_SITES.
- Replace OVERRIDE_LINUX_BASE_PORT and OVERRIDE_LINUX_NONBASE_PORTS with
  default versions framework.
(Only the first 15 lines of the commit message are shown above View all of this commit message)
Fri, 1 Jul 2016
[ 17:45 matthew ] Original commit   Revision:417899
417899 MOVED
417899 Mk/Uses/pgsql.mk
417899 Mk/bsd.default-versions.mk
417899 databases/Makefile
417899 databases/postgresql90-client/Makefile
417899 databases/postgresql90-pgtcl/Makefile
417899 databases/postgresql90-plperl/Makefile
417899 databases/postgresql90-plpython/Makefile
417899 databases/postgresql90-plpython/pkg-descr
417899 databases/postgresql90-server/Makefile

(Only the first 10 of 47 ports in this commit are shown above. View all ports for this commit)
Delete the now expired postgresql90 ports.  Upstream support for
postgresql-9.0.x was declared EoL in September 2015.

Summary:
Remove 9.0 from the list of postgresql versions available in ports

Disconnect postgresql90 ports from the build

Remove postgresql90-pgtcl port

Remove postgresql90-client port

Move the master postgreslXY-plperl makefile to postgresql95-plperl/Makefile.

Adjust include lines in other postgresqlXY-plperl ports
(Only the first 15 lines of the commit message are shown above View all of this commit message)
Thu, 23 Jun 2016
[ 10:19 mat ] Original commit   Revision:417358
417358 Mk/bsd.default-versions.mk
417358 ftp/curl/Makefile
Make it possible to have bsd.default-versions.mk included before any
other bsd.*.mk file.

Restore the way ftp/curl was working before.

With hat:	portmgr
Sponsored by:	Absolight
Differential Revision:	https://reviews.freebsd.org/D6921
Fri, 17 Jun 2016
[ 12:43 mat ] Original commit   Revision:417006
417006 Mk/bsd.default-versions.mk
Typo.

Reported by:	Vladimir Krstulja
Sponsored by:	Absolight
Thu, 16 Jun 2016
[ 22:35 mat ] Original commit   Revision:416985
416985 Mk/bsd.default-versions.mk
Fix warning messages.

Sponsored by:	Absolight
[ 13:22 mat ] Original commit   Revision:416965
416965 Mk/bsd.default-versions.mk
416965 Mk/bsd.openssl.mk
416965 UPDATING
416965 security/libressl-devel/version.mk
416965 security/libressl/version.mk
416965 security/openssl-devel/version.mk
416965 security/openssl/version.mk
Add DEFAULT_VERSIONS=ssl=XXX

Move the openssl detection routine to bsd.default-version.mk.
Add warnings telling people to not use WITH_OPENSSL_PORT or
WITH_OPENSSL_BASE.

To ease maintainability, change the way the different ssl libraries
version numbers are checked.

PR:		210149
Submitted by:	mat
Exp-run by:	antoine
Sponsored by:	The FreeBSD Foundation, Absolight
Differential Revision:	https://reviews.freebsd.org/D6577
Mon, 2 May 2016
[ 13:16 mat ] Original commit   Revision:414444
414444 Mk/Uses/bdb.mk
414444 Mk/bsd.default-versions.mk
Fix WITH_BDB_VER support, and switch to DEFAULT_VERSIONS.

PR:		209183
Reported by:	peter
Sponsored by:	Absolight
Thu, 14 Apr 2016
[ 13:34 mat ] Original commit   Revision:413261
413261 Mk/Uses/firebird.mk
413261 Mk/Uses/ghostscript.mk
413261 Mk/Uses/lua.mk
413261 Mk/Uses/perl5.mk
413261 Mk/Uses/pgsql.mk
413261 Mk/Uses/python.mk
413261 Mk/Uses/tcl.mk
413261 Mk/bsd.apache.mk
413261 Mk/bsd.database.mk
413261 Mk/bsd.default-versions.mk

(Only the first 10 of 14 ports in this commit are shown above. View all ports for this commit)
Try to be more helpful to our users, and keep all the possible versions
close to their default value in Mk/bsd.default-versions.mk.

Sponsored by:	Absolight
Mon, 4 Apr 2016
[ 22:20 swills ] Original commit   Revision:412532
412532 Mk/bsd.default-versions.mk
412532 UPDATING
Switch default Ruby version from 2.1 to 2.2

PR:		206852
Thu, 24 Mar 2016
[ 15:47 tijl ] Original commit   Revision:411798
411798 Mk/Uses/ghostscript.mk
411798 Mk/bsd.default-versions.mk
411798 UPDATING
411798 cad/xcircuit/Makefile
411798 chinese/enscript/Makefile
411798 comms/efax-gtk/Makefile
411798 comms/hylafax/Makefile
411798 deskutils/etask/Makefile
411798 deskutils/gworkspace/Makefile
411798 devel/aegis/Makefile

(Only the first 10 of 95 ports in this commit are shown above. View all ports for this commit)
Make print/ghostscript9-agpl-base the default Ghostscript port.  Upstream
changed the license to the AGPL 3 in version 9.07 so print/ghostscript9-base
is stuck at 9.06 which is almost 4 years old now.

Fix the logic in Uses/ghostscript.mk so "agpl" is treated as a real version
on its own instead of as a variant of other versions.

Fix print/ghostscript9-agpl-base to install eps2write.

Update math/asymptote to 2.37 to support newer Ghostscript.

PR:		208159
Exp-run by:	antoine
Approved by:	portmgr (antoine)
Sat, 5 Dec 2015
[ 23:29 marino ] Original commit   Revision:403082
403082 MOVED
403082 Mk/bsd.default-versions.mk
403082 Mk/bsd.fpc.mk
403082 archivers/Makefile
403082 archivers/fpc-bzip2/Makefile
403082 archivers/fpc-bzip2/pkg-plist
403082 archivers/fpc-paszlib
403082 archivers/fpc-unzip/Makefile
403082 archivers/fpc-unzip/pkg-plist
403082 audio/Makefile

(Only the first 10 of 246 ports in this commit are shown above. View all ports for this commit)
FPC ecosystem: Upgrade version 2.6.4 => 3.0.0

This is the first major release of FreePascal in nearly four years.
There are a ton of new features, way more to list here. see:
http://wiki.freepascal.org/FPC_New_Features_3.0

Several new unit ports were added, some were contracted.  Most of
those were absorbed into the main FPC packages, but two units are
no longer supported: sndfile and matroshka.

All 99 remaining ports (including Lazarus ports) were build tested
on FreeBSD i386 and amd64 Release 10.2
Tue, 20 Oct 2015
[ 20:26 bdrewery ] Original commit   Revision:399879
399879 Mk/bsd.default-versions.mk
Rework change in r399791 for default perl to not execute it on 'make clean'
if perl is not installed.

With hat:	portmgr
Mon, 19 Oct 2015
[ 20:53 bdrewery ] Original commit   Revision:399791
399791 Mk/Scripts/functions.sh
399791 Mk/Uses/perl5.mk
399791 Mk/bsd.default-versions.mk
Avoid redundantly looking up perl version when looking up dependencies or in
sub-makes.

With hat:	portmgr
Mon, 14 Sep 2015
[ 12:19 mat ] Original commit   Revision:396892
396892 CHANGES
396892 Mk/Uses/perl5.mk
396892 Mk/bsd.default-versions.mk
396892 UPDATING
396892 astro/p5-Astro-ADS/pkg-plist
396892 astro/p5-Astro-PAL/pkg-plist
396892 astro/p5-Astro-SIMBAD-Client/pkg-plist
396892 astro/p5-Astro-SpaceTrack/pkg-plist
396892 astro/p5-Astro-satpass/pkg-plist
396892 audio/mp3-archive-tools/pkg-plist

(Only the first 10 of 546 ports in this commit are shown above. View all ports for this commit)
Make it so that the default Perl is always called perl5.

- Move Perl's man1 files along with its man3 files.
- Move where Perl installs its modules man1 pages.
- Convert the ports installing man1 pages.
- Make different Perl versions installable at the same time.
  Though you should note that only the default version can be used to
  install Perl modules, and the non default Perl versions cannot use the
  modules installed via ports if they contain .so as they are installed
  in a version specific directory.

Reviewed by:	bapt (the Mk bits)
Exp-run by:	antoine
Sponsored by:	Absolight
Differential Revision:	https://reviews.freebsd.org/D3542
Thu, 23 Jul 2015
[ 01:44 hrs ] Original commit   Revision:392705
392705 Mk/Uses/ghostscript.mk
392705 Mk/bsd.default-versions.mk
Remove minor version numbers.

Suggested by:	mat
Mon, 20 Jul 2015
[ 21:07 hrs ] Original commit   Revision:392603
392603 Mk/Uses/ghostscript.mk
392603 Mk/bsd.default-versions.mk
Allow support of minor version number in GHOSTSCRIPT_DEFAULT since
there are two packages for Ghostscript 9.x, 9.06 and 9.16.
Thu, 16 Jul 2015
[ 20:53 kwm ] Original commit   Revision:392322
392322 CHANGES
392322 Mk/Uses/ghostscript.mk
392322 Mk/bsd.default-versions.mk
392322 Mk/bsd.port.mk
392322 Mk/bsd.sanity.mk
392322 cad/xcircuit/Makefile
392322 chinese/enscript/Makefile
392322 comms/efax-gtk/Makefile
392322 comms/hylafax/Makefile
392322 comms/tkhylafax/Makefile

(Only the first 10 of 89 ports in this commit are shown above. View all ports for this commit)
Convert code in bsd.port.mk for USE_GHOSTSCRIPT* to USES=ghostscript.

Add GHOSTSCRIPT_DEFAULT to bsd.default-versions.mk for easy version selection.
Arguments supported: <empty>, build, run, nox11 and agpl

PR:		201201 (exp-run)
Approved by:	portmgr (mat@)
Exp run by:	antione@ (previous patch)
Differential Revision:	https://reviews.freebsd.org/D2938
Wed, 13 May 2015
[ 10:20 mat ] Original commit   Revision:386205
386205 Mk/bsd.default-versions.mk
386205 UPDATING
Change the default Perl to 5.20.

PR:		200134
Submitted by:	mat
Exp-run by:	antoine
Sponsored by:	Absolight
Sun, 1 Mar 2015
[ 03:04 swills ] Original commit   Revision:380171
380171 Mk/bsd.default-versions.mk
380171 UPDATING
- Switch default version of Ruby to 2.0

PR:		196632
Fri, 20 Feb 2015
[ 13:56 ale ] Original commit   Revision:379433
379433 Mk/bsd.default-versions.mk
379433 UPDATING
379433 databases/php-adodb-ext/Makefile
379433 lang/php5/Makefile
379433 lang/php5/distinfo
379433 lang/php55/Makefile
379433 lang/php55/distinfo
379433 lang/php55/pkg-plist
379433 lang/php56/Makefile
379433 lang/php56/distinfo

(Only the first 10 of 11 ports in this commit are shown above. View all ports for this commit)
Switch default PHP version to 5.6.x.

- Update PHP 5.4 to 5.4.38 release
- Update PHP 5.5 to 5.5.22 release
- Update PHP 5.6 to 5.6.6 release

PR:		195604
Approved by:	portmgr
Wed, 4 Feb 2015
[ 13:45 ale ] Original commit   Revision:378400
378400 Mk/bsd.database.mk
378400 Mk/bsd.default-versions.mk
378400 UPDATING
Switch default MySQL version to 5.6.

PR:		195604
Approved by:	portmgr
Mon, 26 Jan 2015
[ 00:03 gerald ] Original commit   Revision:377909
377909 Mk/Uses/fortran.mk
377909 Mk/bsd.default-versions.mk
377909 Mk/bsd.gcc.mk
Move LANG_GCC_IS from bsd.gcc.mk to bsd.default-versions.mk and use
this and GCC_DEFAULT instead of hard-coding the version of GCC used
by lang/gcc in Uses/fortran.mk.

Approved by:	portmgr (antoine)
Sat, 10 Jan 2015
[ 23:15 demon ] Original commit   Revision:376731
376731 Mk/bsd.default-versions.mk
376731 UPDATING
376731 accessibility/accerciser/Makefile
376731 accessibility/orca/Makefile
376731 accessibility/py3-atspi/Makefile
376731 audio/gnome-music/Makefile
376731 audio/pithos/Makefile
376731 audio/py3-pylast/Makefile
376731 audio/rhythmbox/Makefile
376731 databases/py-kyotocabinet/Makefile

(Only the first 10 of 39 ports in this commit are shown above. View all ports for this commit)
Switch default python3 version from 3.3 to 3.4.
Bump PORTREVISIONs for the affected ports.

Exp-run by:	antoine
Mon, 8 Dec 2014
[ 09:57 marino ] Original commit   Revision:374256
374256 Mk/bsd.default-versions.mk
374256 UPDATING
Change PostgreSQL default version from 9.2 to 9.3

An exp-run has been performed on this default version change, and both
pgsql and portmgr are aware of this change.  Note that PR originally
made the jump from 9.0 to 9.3, but a conservative change to 9.2 was
done in May instead.

PR:	187286
Wed, 26 Nov 2014
[ 13:08 mat ] Original commit   Revision:373448
373448 CHANGES
373448 Mk/Uses/perl5.mk
373448 Mk/bsd.default-versions.mk
373448 Mk/bsd.port.mk
373448 UPDATING
373448 archivers/dpkg/Makefile
373448 archivers/p5-Archive-Any-Lite/Makefile
373448 archivers/p5-Archive-Any-Lite/pkg-plist
373448 archivers/p5-Archive-Any-Plugin-Rar/Makefile
373448 archivers/p5-Archive-Any-Plugin-Rar/pkg-plist

(Only the first 10 of 10077 ports in this commit are shown above. View all ports for this commit)
Change the way Perl modules are installed, update the default Perl to 5.18.

Before, we had:

  site_perl :           lib/perl5/site_perl/5.18
  site_perl/perl_arch : lib/perl5/site_perl/5.18/mach
  perl_man3 :           lib/perl5/5.18/man/man3

Now we have:

  site_perl : lib/perl5/site_perl
  site_arch : lib/perl5/site_perl/mach/5.18
  perl_man3 : lib/perl5/site_perl/man/man3

Modules without any .so will be installed at the same place regardless of the
(Only the first 15 lines of the commit message are shown above View all of this commit message)

Number of commits found: 121 (showing only 100 on this page)

1 | 2  »  

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
asterisk15Nov 14
asterisk16Nov 14
linux-flashplayerNov 13
kio-extrasNov 12
opensslNov 12
openjpeg*Nov 11
patch*Nov 11
libressl*Nov 10
libressl-devel*Nov 10
openssl-devel*Nov 10
openssl111*Nov 10
lighttpdNov 09
mariadb100-server*Nov 08
mariadb101-server*Nov 08
mariadb102-server*Nov 08

16 vulnerabilities affecting 150 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2018-11-14 17:55:03


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 35973
Broken 113
Deprecated 588
Ignore 378
Forbidden 3
Restricted 162
No CDROM 74
Vulnerable 39
Expired 5
Set to expire 561
Interactive 0
new 24 hours 3
new 48 hours4
new 7 days21
new fortnight46
new month145

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2018 Dan Langille. All rights reserved.